/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                  Java Language Orientus SDK, Version 7.0                   */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* Magnetic Calibration Configuration */
public class ANPacket190
{
	public static final int LENGTH = 1;

	public static final int CANCEL_MAGNETIC_CALIBRATION = 1;
	public static final int START_2D_MAGNETIC_CALIBRATION = 2;
	public static final int START_3D_MAGNETIC_CALIBRATION = 3;
	public static final int RESET_CALIBRATION_TO_DEFAULT = 4;
	public static final int CALIBRATION_CONFIGURATION_MAXIMUM = 4;

	public int magneticCalibrationAction;

	public ANPacket190()
	{
	}

	public ANPacket toANPacket() throws IndexOutOfBoundsException
	{	
		ANPacket packet = new ANPacket(LENGTH, ANPacket.PACKET_ID_MAGNETIC_CALIBRATION_CONFIGURATION);
		if (magneticCalibrationAction < 0 || magneticCalibrationAction > CALIBRATION_CONFIGURATION_MAXIMUM) throw new IndexOutOfBoundsException();
		packet.data[0] = (byte) magneticCalibrationAction;
		return packet;
	}
}
