/******************************************************************************/
/*                                                                            */
/*                Advanced Navigation Packet Protocol Library                 */
/*                  Java Language Orientus SDK, Version 7.0                   */
/*                    Copyright 2023, Advanced Navigation                     */
/*                                                                            */
/******************************************************************************/
/*
 * Copyright (C) 2023 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.anPackets;

/* Magnetic Calibration Status */
public class ANPacket191
{
	public static final int LENGTH = 3;

	public static final int MAGNETIC_CALIBRATION_NOT_COMPLETED			= 0;
	public static final int MAGNETIC_CALIBRATION_COMPLETED_2D			= 1;
	public static final int MAGNETIC_CALIBRATION_COMPLETED_3D			= 2;
	public static final int MAGNETIC_CALIBRATION_COMPLETED_USER			= 3;
	public static final int MAGNETIC_CALIBRATION_STABILIZING			= 4;
	public static final int MAGNETIC_CALIBRATION_IN_PROGRESS_2D			= 5;
	public static final int MAGNETIC_CALIBRATION_IN_PROGRESS_3D			= 6;
	public static final int MAGNETIC_CALIBRATION_ERROR_EXCESSIVE_ROLL	= 7;
	public static final int MAGNETIC_CALIBRATION_ERROR_EXCESSIVE_PITCH	= 8;
	public static final int MAGNETIC_CALIBRATION_ERROR_OVERRANGE_EVENT	= 9;
	public static final int MAGNETIC_CALIBRATION_ERROR_TIMEOUT			= 10;
	public static final int MAGNETIC_CALIBRATION_ERROR_SYSTEM			= 11;
	public static final int MAGNETIC_CALIBRATION_ERROR_INTERFERENCE		= 12;

	public int magnetic_calibration_status;
	public int magneticCalibrationProgress;
	public int localMagneticError;

	public ANPacket191(ANPacket packet)
	{
		magnetic_calibration_status = packet.data[0] & 0xFF;
		magneticCalibrationProgress = packet.data[1] & 0xFF;
		localMagneticError = packet.data[2] & 0xFF;
	}
}

